This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 76949 - click in window always raises it, regardless of focus behaviour
click in window always raises it, regardless of focus behaviour
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: metacity (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Havoc Pennington
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-29 19:02 EST by Damien Miller
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-10-29 19:02:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Damien Miller 2002-10-29 19:02:24 EST
Description of Problem:

A click (left or right) inside a windows will always cause it to be raised,
regardless of the focus or raise behaviour set in metacity-properties.

Version-Release number of selected component (if applicable):

metacity-2.4.0.92-5

How Reproducible:

Always

Steps to Reproduce:
1. Set "point to give focus" and turn off "raise window on focus" in
metacity-properties
2. Open a couple of xterms so that they overlap
3. Click in one of the lower ones

Actual Results:

The xterm is raised

Expected Results:

The xterm stays put

Additional Information:
	
This is frustrating if you work with many overlapped windows (e.g. xterms).
Comment 1 Havoc Pennington 2002-10-29 22:29:51 EST
The "raise on focus" option refers to so-called "autoraise" not to what happens
on click.

See http://bugzilla.gnome.org/show_bug.cgi?id=86108 for tracking on this issue. 
Closing here, as it's tracked there.

Note You need to log in before you can comment on or make changes to this bug.